/*******************************************************************************
* File Name: ISR_PWMCompare_intc.h
* Version 1.20
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__ISR_PWMCompare_INTC_H__)
#define __ISR_PWMCompare_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void ISR_PWMCompare_Start(void);
void ISR_PWMCompare_Stop(void);

CY_ISR_PROTO(ISR_PWMCompare_Interrupt);

void ISR_PWMCompare_SetVector(cyisraddress address);
cyisraddress ISR_PWMCompare_GetVector(void);

void ISR_PWMCompare_SetPriority(uint8 priority);
uint8 ISR_PWMCompare_GetPriority(void);

void ISR_PWMCompare_Enable(void);
uint8 ISR_PWMCompare_GetState(void);
void ISR_PWMCompare_Disable(void);

void ISR_PWMCompare_SetPending(void);
void ISR_PWMCompare_ClearPending(void);


/* Interrupt Controller Constants */

// Need to go in CY????.H
#define CYINT_VECTORS                               ((cyisraddress *) CYDEV_NVIC_VECT_OFFSET)

/* Address of the INTC.VECT[x] register that contains the Address of the ISR_PWMCompare ISR. */
#define ISR_PWMCompare_INTC_VECTOR            ((reg32 *) ISR_PWMCompare__INTC_VECT)

/* Address of the ISR_PWMCompare ISR priority. */
#define ISR_PWMCompare_INTC_PRIOR             ((reg8 *) ISR_PWMCompare__INTC_PRIOR_REG)

/* Priority of the ISR_PWMCompare interrupt. */
#define ISR_PWMCompare_INTC_PRIOR_NUMBER      ISR_PWMCompare__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable ISR_PWMCompare interrupt. */
#define ISR_PWMCompare_INTC_SET_EN            ((reg32 *) ISR_PWMCompare__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the ISR_PWMCompare interrupt. */
#define ISR_PWMCompare_INTC_CLR_EN            ((reg32 *) ISR_PWMCompare__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the ISR_PWMCompare interrupt state to pending. */
#define ISR_PWMCompare_INTC_SET_PD            ((reg32 *) ISR_PWMCompare__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the ISR_PWMCompare interrupt. */
#define ISR_PWMCompare_INTC_CLR_PD            ((reg32 *) ISR_PWMCompare__INTC_CLR_PD_REG)



/* __ISR_PWMCompare_INTC_H__ */
#endif

