/*******************************************************************************
* File Name: Pin_01.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin_01_H) /* Pins Pin_01_H */
#define CY_PINS_Pin_01_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_01_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_01_Write(uint8 value) ;
void    Pin_01_SetDriveMode(uint8 mode) ;
uint8   Pin_01_ReadDataReg(void) ;
uint8   Pin_01_Read(void) ;
uint8   Pin_01_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_01_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_01_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_01_DM_RES_UP          PIN_DM_RES_UP
#define Pin_01_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_01_DM_OD_LO           PIN_DM_OD_LO
#define Pin_01_DM_OD_HI           PIN_DM_OD_HI
#define Pin_01_DM_STRONG          PIN_DM_STRONG
#define Pin_01_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_01_MASK               Pin_01__MASK
#define Pin_01_SHIFT              Pin_01__SHIFT
#define Pin_01_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_01_PS                     (* (reg8 *) Pin_01__PS)
/* Data Register */
#define Pin_01_DR                     (* (reg8 *) Pin_01__DR)
/* Port Number */
#define Pin_01_PRT_NUM                (* (reg8 *) Pin_01__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_01_AG                     (* (reg8 *) Pin_01__AG)                       
/* Analog MUX bux enable */
#define Pin_01_AMUX                   (* (reg8 *) Pin_01__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_01_BIE                    (* (reg8 *) Pin_01__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_01_BIT_MASK               (* (reg8 *) Pin_01__BIT_MASK)
/* Bypass Enable */
#define Pin_01_BYP                    (* (reg8 *) Pin_01__BYP)
/* Port wide control signals */                                                   
#define Pin_01_CTL                    (* (reg8 *) Pin_01__CTL)
/* Drive Modes */
#define Pin_01_DM0                    (* (reg8 *) Pin_01__DM0) 
#define Pin_01_DM1                    (* (reg8 *) Pin_01__DM1)
#define Pin_01_DM2                    (* (reg8 *) Pin_01__DM2) 
/* Input Buffer Disable Override */
#define Pin_01_INP_DIS                (* (reg8 *) Pin_01__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_01_LCD_COM_SEG            (* (reg8 *) Pin_01__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_01_LCD_EN                 (* (reg8 *) Pin_01__LCD_EN)
/* Slew Rate Control */
#define Pin_01_SLW                    (* (reg8 *) Pin_01__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_01_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_01__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_01_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_01__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_01_PRTDSI__OE_SEL0        (* (reg8 *) Pin_01__PRTDSI__OE_SEL0) 
#define Pin_01_PRTDSI__OE_SEL1        (* (reg8 *) Pin_01__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_01_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_01__PRTDSI__OUT_SEL0) 
#define Pin_01_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_01__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_01_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_01__PRTDSI__SYNC_OUT) 


#if defined(Pin_01__INTSTAT)  /* Interrupt Registers */

    #define Pin_01_INTSTAT                (* (reg8 *) Pin_01__INTSTAT)
    #define Pin_01_SNAP                   (* (reg8 *) Pin_01__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_01_H */


/* [] END OF FILE */
