/*******************************************************************************
* File Name: Pin_22.c  
* Version 1.50
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#include "cytypes.h"
#include "Pin_22.h"


/*******************************************************************************
* Function Name: Pin_22_Write
********************************************************************************
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  void 
*  
*******************************************************************************/
void Pin_22_Write(uint8 value) 
{
    uint8 staticBits = Pin_22_DR & ~Pin_22_MASK;
    Pin_22_DR = staticBits | ((value << Pin_22_SHIFT) & Pin_22_MASK);
}


/*******************************************************************************
* Function Name: Pin_22_SetDriveMode
********************************************************************************
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to this drive mode.
*
* Return: 
*  void
*
*******************************************************************************/
void Pin_22_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(Pin_22_0, mode);
}


/*******************************************************************************
* Function Name: Pin_22_Read
********************************************************************************
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  void 
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro Pin_22_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 Pin_22_Read(void) 
{
    return (Pin_22_PS & Pin_22_MASK) >> Pin_22_SHIFT;
}


/*******************************************************************************
* Function Name: Pin_22_ReadDataReg
********************************************************************************
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  void 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 Pin_22_ReadDataReg(void) 
{
    return (Pin_22_DR & Pin_22_MASK) >> Pin_22_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(Pin_22_INTSTAT) 

    /*******************************************************************************
    * Function Name: Pin_22_ClearInterrupt
    ********************************************************************************
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  void 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 Pin_22_ClearInterrupt(void) 
    {
        return (Pin_22_INTSTAT & Pin_22_MASK) >> Pin_22_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 


/* [] END OF FILE */ 
